<template>
    <b-table
        small
        striped
        responsive
        :table-class="['table-hover']"
        :thead-class="['table-header']"
        :tbody-class="['table-body']"
        :items="items"
        :fields="fields"
    >
        <template #cell(expires_at)="data">
            {{ $formatter.dateFormat(data.item.expires_at) }}
        </template>
        <template #cell(link)="data">
            <router-link
                class="text-secondary"
                :to="`https://app.carti.io/discount/${data.item.code}`"
            >
                {{ `https://app.carti.io/discount/${data.item.code}` }}
            </router-link>
        </template>
        <template #cell(actions)="data">
            <router-link
                :to="{name: 'discount-edit', params: {item: data.item }}"
                class="btn btn-primary btn-md"
            >
                Edit
            </router-link>
            <button
                class="btn btn-danger btn-md delete-btn"
                @click="$emit('onDelete', data.item.id)"
            >
                Delete
            </button>
        </template>
    </b-table>    
</template>

<script>
export default {
  props: ['items', 'fields']
}
</script>

<style lang="scss" scoped>
::v-deep .table {
    min-width: 630px;
}
::v-deep .table-hover {
     td {
        padding: 18px 10px;
        margin-bottom: 5px;
        font-weight: 500;
        text-align: center;
    }
}
</style>
